[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TIntToIdent

Callback for converting integers to identifiers.

## Declaration

Source position: classesh.inc line 2021

`type TIntToIdent = function(`
`Int: LongInt;`
`var Ident: string`
`):Boolean;`

## Description

TIdentToInt is a callback used to look up integers (Ident) and return an identifier (Ident) that can be used to represent this integer value in an IDE. The callback should return True if a value corresponding to integer Ident was found, False if not.

A callback of type TIntToIdent should be specified when an integer is registered using the RegisterIntegerConsts call.

## See also

RegisterIntegerConsts |  | Registers some integer-to-identifier mappings.
TIdentToInt |  | Callback for converting identifiers to integers.

Documentation generated on: Feb 26 2014